# Events Events ## Creates a new event record that does not already exist. - [POST /events/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/createevent.md): This method will auto-generate an ID and create a new event. If an ID is specified for the event, an error will be thrown. ## Execute Batch Operations - [POST /events/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified chapter_id - [GET /events/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/listeventsbychapterid.md): Returns a list of records with the specified chapter_id ## Creates a copy of an event, along with other associated records - [POST /events/{tenantId}/clone](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/cloneevent.md): Creates a copy of an event, along with other associated records ## Can add guest - [GET /events/{tenantId}/guestEligibility/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/canaddguest.md): Returns a list of records with the specified type_id ## Returns a list of records that are upcoming - [GET /events/{tenantId}/public/upcoming](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/getupcomingevents.md): Returns a list of records that are upcoming ## Gets the public event info - [GET /events/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/getpubliceventinfo.md): Gets the public event info ## Searches for events using predefined parameters - [POST /events/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/searchforevents.md): Searches for events using predefined parameters ## Returns a list of records that start after specified start_date - [GET /events/{tenantId}/startDate/{start_date}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/listeventsstartingafter.md): Returns a list of records with that start after the specified start_date ## Returns a list of records with the specified type_id - [GET /events/{tenantId}/type/{type_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/listeventsbytypeid.md): Returns a list of records with the specified type_id ## Returns a event from the system by its ID. - [DELETE /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/deleteevent.md): This method will delete a event with the specified ID. ## Returns a event from the system by its ID. - [GET /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/getevent.md): This method will look up a event by the specified ID and return it back. ## Partially updates a event with the specified ID. - [PATCH /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/patchevent.md): This method will patch an existing event with the specified ID, using the HTTP PATCH specification. ## Updates a event with the specified ID. - [PUT /events/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/events/updateevent.md): This method will update an existing event with the specified ID.